Bug 1047040 - Add IPv6 Support to fail2ban
Summary: Add IPv6 Support to fail2ban
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: fail2ban
Version: el6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/fail2ban/fail2ban/...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-28 17:06 UTC by Mike Bretz
Modified: 2014-07-21 22:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-21 22:54:56 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 800694 0 unspecified CLOSED [RFEs] A - IPv6 support, B - blocklist.de, C - autofwd 2021-02-22 00:41:40 UTC

Description Mike Bretz 2013-12-28 17:06:35 UTC
Description of problem:

An increasing number of large providers (at least in germany) are assigning IPv6 addresses to newly assigned hosts. That's why fail2ban should get IPv6 Support as well, so tracking & banning will work with v6 addresses too.

Actual results:
  No IPv6 support, a possible hack attempt from ipv6 addresses will be unnoticed by fail2ban. (as of 0.8.11-2.el6)

Expected results:
  IPv6 support is available and working.

Additional info:

Please see for a possible patch at http://www.fail2ban.org/wiki/index.php/Fail2ban:Community_Portal#IPv6_Experimental_support
Even if marked as "experimental" it is working well, and solution is "easy" to migrate into package.

This might (partly) be related, but unmodified since 2012-03  https://bugzilla.redhat.com/show_bug.cgi?id=800694


Note You need to log in before you can comment on or make changes to this bug.